#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_StarLotteryRateCFGData
{
	//上区间
	int mUpRange;
	//每日衰减
	int mDailyRate;
	//总衰减
	int mTotalRate;
};

class M_StarLotteryRateCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryRateCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryRateCFGData* GetData(int UpRange);
	boost::unordered_map<int, M_StarLotteryRateCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_StarLotteryRateCFG* GetSingleton();
private:
	boost::unordered_map<int, M_StarLotteryRateCFGData> mMapData;
};
